%define oname base_bigstring 

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 4
Summary:        Ppx rewriter that records top-level module startup times
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-base-devel
BuildRequires:  ocaml-ppx_jane
BuildRequires:  ocaml-ppx_module_timer
BuildRequires:  ocaml-ppx_stable
BuildRequires:  ocaml-base_quickcheck-devel
BuildRequires:  ocaml-ppx_cold
BuildRequires:  ocaml-jane-street-headers
BuildRequires:  ocaml-result-devel
BuildRequires:  opam

%description
A ppx extension to record module startup times.

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.js
%{_libdir}/ocaml/stublibs/dllbase_bigstring_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670832
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1552258
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1484201
- imported package ocaml-base_bigstring

